Device status for off-line streaming

Get the offline status of a specified device.

This status can be changed with a POST to the user/unlimitedStreaming/offline endpoint.

OAuth User token

Example request

GET https://api.7digital.com/1.2/user/unlimitedStreaming/offline?oauth_consumer_key=YOUR_KEY_HERE&country=GB&userId=141732543&clientId=e5ada89d-db5b-4d0e-b70b-820796d7d583&oauth_token=...

Example Response

<response status=”ok” version=”1.2”>
  <offlineStatus>
    <offlineEnabled>true</offlineEnabled>
    <offlineMaxTrackCount>4000</offlineMaxTrackCount>
  </offlineStatus>
</response>

Specific Error Codes

  • 1001 - Missing parameter "parameter name". Not all mandatory parameters were specified in the request.
Query Params
string
required

ISO 2-character code of the country the end user resides in.

string
required

The unique identifier of the user. For information on creating users click here.

string
required

A unique identifier for the current device you're checking the offline status of.

Language
LoadingLoading…